# Game Configuration - Basic Settings

type (string)
This indicates the type of configuration to prevent accedential use of a different configuration. Must always be the string "Doom Builder 2 Game Configuration".
game (string)
The name that is displayed in Doom Buider for your Game Configuration.
Default value is "<unnamed game>".
enabledbydefault (boolean) - GZDB only.
This game configuration is available by default. You can enable and disable game configurations using Game Configurations window.
Default value is false.
actionspecialhelp (string) - GZDB only.
The URL used to display action special help. "%K" wildcard is replaced by id property defined in action definition.
thingclasshelp (string) - GZDB only.
The URL to open when thing class name is clicked in the Thing Edit form. "%K" wildcard is replaced by classname property defined in thing definition or by DECORATE actor name.
basegame (string) - GZDB only.
Indicates which game the current configuration is based on. Used to load game-specific GLDEFS lumps (DOOMDEFS, HTICDEFS, HEXNDEFS or STRFDEFS).
Possible values: "Doom", "Heretic", "Hexen", "Strife" or "Chex".
If left unset, game-specific lumps won't be loaded.
engine (string)
Game engine/sourceport name. This is used as the UDMF namespace for UDMF map format interface. It currently has no other function.
defaultlumpname (string)
Default lump name suggested when creating a new map and selecting this configuration.
testparameters (string)
Default parameters used to launch the test game engine. See Game Configurations window for the available parameter placeholders.
testshortpaths (boolean)
Set to true to use MSDOS 8.3 format paths and filenames by default. The user can still change this in the Game Configurations window.
Default value is false.
defaultsavecompiler (string)
Name of the Nodebuilder Compiler Configuration structure to use as the default settings for the compiler that is used when saving the map. The user can still change this in the Game Configurations window.
defaulttestcompiler (string)
Name of the Nodebuilder Compiler Configuration structure to use as the default settings for the compiler that is used when testing the map. The user can still change this in the Game Configurations window.
defaultscriptcompiler (string) - GZDB only.
Name of the Script Compiler Configuration file to use as the default settings for the script compiler that is used when compiling map scripts. The user can still change this in the Map Options window.
skills (structure)
This defines the skill options the user has available with this game engine/project. The settings in this structure are expected to be numbers with string values (the descriptive name for the skill level).
Example:

    skills
    {
    	1 = "I'm too young to die";
    	2 = "Hey, not too rough";
    	3 = "Hurt me plenty";
    	4 = "Ultra-Violence";
    	5 = "Nightmare!";
    }

damagetypes (string) - GZDB only.
Space-separated list of built-in damage types. This list is combined with DamageTypes parsed from DECORATE.
Example:

    damagetypes = "None BFGSplash Drowning Slime";

internalsoundnames (string) - GZDB only.
Space-separated list of built-in logical sound names. These names won't trigger an editor warning when they are not bound to actual sounds in SNDINFO.
Example:

    internalsoundnames = "*death *xdeath *wimpydeath *crazydeath *burndeath";

ignoredextensions (string) - GZDB only.
Space-separated list of file extensions. Files with these extensions will be ignored when loading PK3/PK7/Directory resources.
Example:

    ignoredextensions = "wad pk3 pk7 bak backup1 backup2 backup3 zip rar 7z";

ignoreddirectories (string) - GZDB only.
Space-separated list of directory names. These directory names are ignored when loading PK3/PK7/Directory resources. This applies to top level directories only.
Example:

    ignoreddirectories = ".svn .git";

linetagindicatesectors (boolean)
When true, Doom Builder will highlight sectors associated with the same tag number when a line is highlighted. This is only really useful for Doom format maps, because Hexen format and UDMF format has no single tag on linedefs (in those formats, the arguments of the linedef's action can be tags, which also works to highlight sectors).
Default value is false.
singlesidedflag (integer or string)
This lets Doom Builder know the linedef flag that indicates a line with only one side. Doom Builder will set this flag value on a linedef when it changes a line to become single sided and removes the flag from a linedef when it becomes double sided. Plugins can also use this information to perform operations on linedefs. For map formats that use numeric flags (Doom and Hexen) this must be an integer flag value. For map formats that use named flags (UDMF), this must be a string indicating the name of the flag.
doublesidedflag (integer or string)
This lets Doom Builder know the linedef flag that indicates a line with two sides. Doom Builder will set this flag value on a linedef when it changes a line to become double sided and removes the flag from a linedef when it becomes single sided. Plugins can also use this information to perform operations on linedefs. For map formats that use numeric flags (Doom and Hexen) this must be an integer flag value. For map formats that use named flags (UDMF), this must be a string indicating the name of the flag.
impassableflag (integer or string)
This lets Doom Builder know the linedef flag that indicates a line which blocks players and monsters. Doom Builder uses this to give the line a special color and plugins can use this information to perform operations related to blocking sound lines. For map formats that use numeric flags (Doom and Hexen) this must be an integer specifying the flag value of the Impassable flag. For map formats that use named flags (UDMF), this must be a string indicating the name of the Impassable flag.
leftboundary (integer)
Left map boundary.
Default value is -32768.
rightboundary (integer)
Right map boundary.
Default value is 32767.
topboundary (integer)
Top map boundary.
Default value is 32767.
bottomboundary (integer)
Bottom map boundary.
Default value is -32768.
safeboundary (integer) - GZDB only.
Maximum map bounding box size considered to be safe by "Check map size" error check. Setting this to 0 disables the check.
Default value is 32767.
defaultwalltexture (string) - GZDB only.
Name of a texture to use on sidedefs when creating a new sector.
Default value is "STARTAN".
defaultfloortexture (string) - GZDB only.
Name of a flat to use on the floor when creating a new sector.
Default value is "FLOOR0_1".
defaultceilingtexture (string) - GZDB only.
Name of a flat to use on the ceiling when creating a new sector.
Default value is "CEIL1_1".
makedoortrack (string)
Name of a texture to use on the walls when making a door.
Default value is "-" (no texture).
makedoordoor (string) - GZDB only.
Name of a texture to use as the door texture when making a door.
Default value is "-" (no texture).
makedoorceil (string) - GZDB only.
Name of a texture to use as the door's ceiling texture when making a door.
Default value is "-" (no texture).
makedooraction (integer)
Linedef action number to put on the lines when making a door.
makedoorarg# (0 .. 4) (integer)
Arguments for the linedef action number to put on the lines when making a door.
doomlightlevels (boolean)
Set this to false to use linear lighting in Doom Builder. Normally Doom Builder uses a simulation of Doom's light levels.
Default value is true.
doomthingrotationangles (boolean) - GZDB only.
When set to true, editor actions related to changing thing angle will snap the resulting angle to 45 degree increments.
Default value is false.
localsidedeftextureoffsets (boolean) - GZDB only.
When set to true, enables in-editor support for individual offsets of upper/middle/lower sidedef textures. Affects UDMF map format only.
Default value is false.
start3dmode (integer)
Thing type number that Doom Builder will use to keep your Visual Mode camera position stored in the map. Doom Builder will place a single thing of this type in your map and move it along as you move in Visual Mode.
skyflatname (string)
Name of the flat that is interpreted as sky (meaning there is no ceiling). Doom Builder and plugins can use this information for various purposes.
Default value is "F_SKY1".
defaultskytextures (structure) - GZDB only.
Defines the relationship between map names and sky texture names used by vanilla maps.
Example:

    defaultskytextures
    {
    	SKY1 = "MAP01,MAP02,MAP03,MAP04,MAP05";
    	SKY2 = "MAP12,MAP13,MAP14,MAP15,MAP16";
    	SKY3 = "MAP21,MAP22,MAP23,MAP24,MAP25";
    }

longtexturenames (boolean) - GZDB only.
Enables support for long (> 8 chars) texture names. This is used by GZDoom Builder to limit the input fields in the user interface and to check the validity of texture names in resources. This setting should only be enabled for UDMF game configurations. Enabling this setting will make maps incompatible with Doom Builder 2 and can lead to problems in Slade 3 This does NOT determine the actual limitation on the texture names in the map file format.
Default value is false.
sidedefcompressionignoresaction (boolean) - GZDB only.
When set to true, sidedefs will be compressed regardless of linedef action or tag(s) (DB2 behaviour, can potentially cause problems when target source port doesn't decompress sidedefs).
When set to false, sidedefs, which belong to a line with an action or non-zero tag(s), will be skipped when compressing sidedefs.
Default value is false.